Show / Hide Table of Contents

# Interface IDalamudPlugin

This interface represents a basic Dalamud plugin. All plugins have to implement this interface.

##### Inherited Members

System.IDisposable.Dispose()

###### Namespace: Dalamud.Plugin

###### Assembly: Dalamud.dll

##### Syntax

    public interface IDalamudPlugin : IDisposable

### Properties

| Improve this Doc View Source

#### Name

Gets the name of the plugin.

##### Declaration

    string Name { get; }

##### Property Value

Type | Description
--- | ---
System.String |